Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(3661)

Unified Diff: doc/support/generate.sh

Issue 1397683003: Add doc/support/generate.sh (Closed) Base URL: https://chromium.googlesource.com/crashpad/crashpad@master
Patch Set: Manual → Man Created 5 years, 2 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « doc/support/compat.sh ('k') | doc/support/generate_asciidoc.sh » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: doc/support/generate.sh
diff --git a/doc/support/generate.sh b/doc/support/generate.sh
new file mode 100755
index 0000000000000000000000000000000000000000..dcb74375206e61af918428cd6f513fdf2497b8eb
--- /dev/null
+++ b/doc/support/generate.sh
@@ -0,0 +1,72 @@
+#!/bin/bash
+
+# Copyright 2015 The Crashpad Authors. All rights reserved.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -e
+
+function maybe_mkdir() {
+ local dir="${1}"
+ if [[ ! -d "${dir}" ]]; then
+ mkdir "${dir}"
+ fi
+}
+
+# Run from the Crashpad project root directory.
+cd "$(dirname "${0}")/../.."
+
+source doc/support/compat.sh
+
+doc/support/generate_doxygen.sh
+doc/support/generate_asciidoc.sh
+
+output_dir=doc/generated
+maybe_mkdir "${output_dir}"
+
+for subdir in doc doxygen man ; do
+ output_subdir="${output_dir}/${subdir}"
+ maybe_mkdir "${output_subdir}"
+ rsync -Ilr --delete --exclude .git "out/doc/${subdir}/html/" \
+ "${output_subdir}/"
+done
+
+# Move doc/index.html to index.html, adjusting relative paths to other files in
+# doc.
+${sed_ext} -e 's%<a href="([^/]+)\.html">%<a href="doc/\1.html">%g' \
+ < "${output_dir}/doc/index.html" > "${output_dir}/index.html"
+
+# Create man/index.html
+cd "${output_dir}/man"
+cat > index.html << __EOF__
+<!DOCTYPE html>
+<meta charset="utf-8">
+<title>Crashpad Man Pages</title>
+<ul>
+__EOF__
+
+for html_file in *.html; do
+ if [[ "${html_file}" = "index.html" ]]; then
+ continue
+ fi
+ basename=$(${sed_ext} -e 's/\.html$//' <<< "${html_file}")
+ cat >> index.html << __EOF__
+ <li>
+ <a href="${html_file}">${basename}</a>
+ </li>
+__EOF__
+done
+
+cat >> index.html << __EOF__
+</ul>
+__EOF__
« no previous file with comments | « doc/support/compat.sh ('k') | doc/support/generate_asciidoc.sh » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698